Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# timespec64 Struct Reference
[Date]

`#include <date.h>`

## Data Fields
long long int | tv_sec
long int | tv_nsec

## Detailed Description

struct timespec64 is just like the unix 'struct timespec' except that we use a 64-bit signed int to store the seconds. This should adequately cover dates in the distant future as well as the distant past, as long as they're not more than a couple dozen times the age of the universe. Note that both gcc and the IBM Toronto xlC compiler (aka CSet, VisualAge, etc) correctly handle long long as a 64 bit quantity, even on the 32-bit Intel x86 and PowerPC architectures. I'm assuming that all the other modern compilers are clean on this issue too.

The documentation for this struct was generated from the following file:

- date.h